C        File: fcn20.f
C    Copyright: (C) 1998 by Western Michigan University, Washington State University,
C        	       Elise de Doncker, Ajay Gupta, & Allen Genz. All rights reserved.
C		       See Copyright.txt in top-level directory.
C ParInt Versn: All versions
C  Description: Sample FORTRAN integrand function
C      Version: 05/11/98  rrz  Original
C

      INTEGER FUNCTION FCN20(NDIMS, X, NFCNS, FUNVLS)
          IMPLICIT NONE
          INTEGER NDIMS, NFCNS
          DOUBLE PRECISION X(*), FUNVLS(*)
          DOUBLE PRECISION Z

          Z = (X(1) + X(2) + X(3)) ** 2
          IF (Z .NE. 0.0) THEN
             FUNVLS(1) = 1.0 / Z
          ELSE
             FUNVLS(1) = 0.0
          ENDIF

          FCN20 = 0
          RETURN
      END
