/*        File: constants.c
     Copyright: (C) 1998, 1999 by Elise de Doncker, Ajay Gupta, Alan Genz and Rodger Zanny. 
                       All rights reserved. See Copyright.txt in top-level directory.
  ParInt Versn: All versions
   Description: Quickie source code for finding needed constants as long doubles
       Version: 04/01/98  rrz  Original
*/

/* Since I cannot find a source for constants to long double accuracy, this program will 
   compute the needed constants.  Any pi related constant is looked up from an external source to 
   get increased accuracy. */

#include <math.h>
#include <float.h>
#include "/opt/SUNWspro/SC4.2/include/cc/sunmath.h"
#include <stdio.h>

int main(int argc, char *argv[])
{
    long double x, y, z;
    int i;
    
    printf("Digits of precision: %d\n", LDBL_DIG);

    /* Need natural log of 2: */
    /* printf("ln(2):     %*.*LG\n", LDBL_DIG + 10, LDBL_DIG, logl((long double) 2.0)); */

    x = 2.3L;
    for (i= 0; i < 10; ++i)
    {
	x += i;
    }

    exit(0);
} /* main() */
