/*        File: cmd-line-args.h
     Copyright: (C) 1998,1999,2000 by Elise de Doncker, Ajay Gupta, Alan Genz & Rodger Zanny. 
                    All rights reserved. See file COPYRIGHT in top-level directory.
  ParInt Versn: All versions
   Description: Header file for routine that parse cmd line args
           CVS: $Source: /home/other/parint/cvsroot/parint1.1/src/include/cmd-line-args.h,v $
                $Author: parint $
                $Revision: 1.1.1.1 $
                $Date: 2000/06/06 03:13:32 $

                $Log: cmd-line-args.h,v $
                Revision 1.1.1.1  2000/06/06 03:13:32  parint
                Initial checkin


       Version: 05/01/99  rrz  Original
		07/23/99  rrz  --- Code freeze for ParInt1.1 ---
*/

/* The possible actions that a single run of this program can take: */
enum { RUN_DO_HELP = 1, RUN_DO_INFO_1, RUN_DO_INFO_2, RUN_DO_INTEGRAL, RUN_DO_SCRIPT };

extern void print_short_usage(void);
extern void print_long_usage(void);
extern void print_iparm(pi_iparm_t *iparm_p);
extern int get_cmd_line_args(int argc, char *argv[], int *run_option, pi_rparm_t *rparm_p,
			     pi_iparm_t *iparm_p, char script_file[], int nPE);
extern void test_cmd_line_args(int argc, char *argv[], int nPE);
extern void rparm_load_defaults(pi_rparm_t *rparm_p);




