/*        File: timer.h
     Copyright: (C) 1998,1999,2000 by Elise de Doncker, Ajay Gupta, Alan Genz & Rodger Zanny. 
                    All rights reserved. See file COPYRIGHT in top-level directory.
  ParInt Versn: All versions (but mostly SEQ)
   Description: Header file for non-MPI timing functions
           CVS: $Source: /home/other/parint/cvsroot/parint1.1/src/include/timer.h,v $
                $Author: parint $
                $Revision: 1.1.1.1 $
                $Date: 2000/06/06 03:13:32 $

                $Log: timer.h,v $
                Revision 1.1.1.1  2000/06/06 03:13:32  parint
                Initial checkin


      Version : 07/21/97  rrz  Original
		05/01/99  rrz  Modified from very old version
		07/23/99  rrz  --- Code freeze for ParInt1.1 ---
		11/23/99  rrz  Add nap routine prototype
*/

extern void timer_start(void);
extern double timer_retrieve(void);
extern void timer_retrieve_raw(int *secs, int *msecs);
extern void nap(double naptime);

#define timer_diff2dbl(start_sec, start_msec, end_sec, end_msec)    ((double) ((end_sec) - (start_sec)) + (double) ((end_msec) - (start_msec)) / 1000)
